| **Documentation**                       | **Build Status**                                                                                |
|:--------------------------------------- |:----------------------------------------------------------------------------------------------- |
| [![][docs-stable-img]][docs-stable-url] [![][docs-latest-img]][docs-latest-url] |  [![Build Status][ci-img]][ci-url] | [![][appveyor-img]][appveyor-url] [![][codecov-img]][codecov-url] |

## ColorSchemeTools

This package provides tools for working with colorschemes and colormaps. It's a companion to the ColorSchemes.jl package.

For example, you can extract colorschemes from images, and replace an image colorscheme with another. There are also functions for creating color schemes from lists, dictionaries, and functions.

This package relies on:

- [Colors.jl](https://github.com/JuliaGraphics/Colors.jl)
- [ColorSchemes.jl](https://github.com/JuliaGraphics/ColorSchemes.jl)
- [Images.jl](https://github.com/JuliaImages/Images.jl)
- [Clustering.jl](https://github.com/JuliaStats/Clustering.jl)
- [Interpolations.jl](https://github.com/JuliaMath/Interpolations.jl)

[docs-stable-img]: https://img.shields.io/badge/docs-stable%20release-blue.svg
[docs-stable-url]: https://JuliaGraphics.github.io/ColorSchemeTools.jl/stable/

[docs-latest-img]: https://img.shields.io/badge/docs-in_development-orange.svg
[docs-latest-url]: https://JuliaGraphics.github.io/ColorSchemeTools.jl/latest/

[appveyor-img]: https://ci.appveyor.com/api/projects/status/59hherf65c713iaw/branch/master?svg=true
[appveyor-url]: https://ci.appveyor.com/project/cormullion/colorschemetools-jl

[codecov-img]: https://codecov.io/gh/JuliaGraphics/ColorSchemeTools.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/JuliaGraphics/ColorSchemeTools.jl

[ci-img]: https://github.com/JuliaGraphics/ColorSchemeTools.jl/workflows/CI/badge.svg
[ci-url]: https://github.com/JuliaGraphics/ColorSchemeTools.jl/actions?query=workflow%3ACI
